package com.yihu.jw.entity.hospital.appointment;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2019/10/29.
 */
@Entity
@Table(name = "wlyy_appointment")
public class WlyyAppointmentDO extends UuidIdentityEntity {

    private String dept;//预约科室code',
    private String deptName;//预约科室',
    private String doctor;//医生',
    private String doctorName;//医生名称',
    private String patient;//病人',
    private String patientName;//居民名称',
    private String patientPhone;//居民电话',
    private String idcard;//居民身份证
    private Integer type;//1 自己预约 2.代理预约',
    private String sectionType;//上午：AM 和 下午：PM，',
    private String startTime;//预约时间',
    private Integer status;//1预约成功，0预约失败 -1预约取消',
    private String httpLog;//结果记录
    private Date createTime;//创建时间

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getPatientPhone() {
        return patientPhone;
    }

    public void setPatientPhone(String patientPhone) {
        this.patientPhone = patientPhone;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getSectionType() {
        return sectionType;
    }

    public void setSectionType(String sectionType) {
        this.sectionType = sectionType;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getHttpLog() {
        return httpLog;
    }

    public void setHttpLog(String httpLog) {
        this.httpLog = httpLog;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }
}
